import request from "@/http/request";

const requireStockIn = (params) => {
  return request({
    url: '/task/requireStockIn',
    method: 'post',
    data: params
  })
}

const requireStockOut = (params) => {
  return request({
    url: '/task/requireStockOut',
    method: 'post',
    data: params
  })
}

const getCurrentTask = (params) => {
  return request({
    url: '/task/getCurrentTask',
    method: 'post',
    data: params
  })
}

const confirmCurrentTask = (params) => {
  return request({
    url: '/task/confirmCurrentTask',
    method: 'post',
    data: params
  })
}

export {
  requireStockIn,
  requireStockOut,
  getCurrentTask,
  confirmCurrentTask
}